/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
 
#ifndef __pic_h__
#define __pic_h__ 

// PIC's base ports
#define PIC1 0x20 // MASTER PIC
#define PIC2 0xA0 // SLAVE PIC

// Inicialization Commands Words
#define ICW1 0x11 // PIC's in cascade, ICW4 expected
// Remap the PIC's interrupts
#define ICW2_1 0x20 // Remap PIC1 to interrupts 0x20=32 .. 39
#define ICW2_2 0x28 // Remap PIC1 to interrupts 0x28=40 .. 47
// Establish the connexion between the PIC's
#define ICW3_1 0x04 // The IRQ2 is conected to slave PIC
										// (if the bit is set it's conected to the slave)
#define ICW3_2 0x02 // The IRQ on the master is 2
#define ICW4 0x01 // Software must handle EOI (outb(0x20,0x20)) (bit 1 clear)
									// 80x86 mode (bit 0 set)
void init_pic();
void enable_irq(unsigned char irq_no);

#endif
